Subject: Re: [PATCH] Reorganise and then fixup the pseries cpu hotplug code

From: Michael Ellerman <[email-masked]>
Date: Mon, 20 Nov 2006 12:08:34 +1100

On Fri, 2006-11-17 at 12:04 -0600, Linas Vepstas wrote:
> On Fri, Nov 17, 2006 at 02:36:35PM +1100, Michael Ellerman wrote:
> > The pseries cpu hotplug code is currently spread between ./kernel/rtas.c,
> > ./platforms/pseries/smp.c and ./platforms/pseries/setup.c. Some of it is
> > not #ifdef CONFIG_HOTPLUG_CPU, but it should be.
> > 
> > So move all the cpu hotplug code into platforms/pseries/hotplug-cpu.c
> 
> Yes, much cleaner this way.

I agree :)

> > +	/* Isolation and deallocation are definatly done by
>                                         ^^^^^^^^^
> typo
> 
> > +	 * drslot_chrp_cpu.  If they were not they would be
> > +	 * done here.  Change isolate state to Isolate and
> > +	 * change allocation-state to Unusable.
> > +	 */
> > +	paca[cpu].cpu_start = 0;
> 
> I can't figure out what the comment means with respect 
> to this code ... 

Me either. It's unchanged from the original merge of cpu hotplug:
http://kernel.org/git/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=commit;h=24c13f21f0a6abe07020a959990da2b134e6734f
http://kernel.org/git/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=blobdiff;h=72144b6122f9336e7fa242e50b65b099df0cd72b;hp=f671515c0676e61064ae414273fa4546d0c04938;hb=24c13f21f0a6abe07020a959990da2b134e6734f;f=arch/ppc64/kernel/smp.c

Which carries the name of one Joel Schopp :)

Grepping the tree at that point finds no other mention of
drslot_chrp_cpu, so I think it's a stale comment - we should probably
just rip it out - Joel?

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person